## ros-eloquent-connext-cmake-module 0.8.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(connext_cmake_module)

find_package(ament_cmake REQUIRED)

set(${PROJECT_NAME}_DIR "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
list(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules")
find_package(Connext QUIET MODULE)
if(Connext_FOUND)
  find_package(Connext MODULE)
endif()
if(Connext_HOME)
  file(TO_NATIVE_PATH "${Connext_HOME}" Connext_HOME)
  if(WIN32)
    ament_environment_hooks(env_hook/connext.bat.in)
  else()
    ament_environment_hooks(env_hook/connext.sh.in)
  endif()
endif()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "connext_cmake_module-extras.cmake"
)

install(DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME})

=== debian/changelog ===
ros-eloquent-connext-cmake-module (0.8.4-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 04 Dec 2019 08:00:00 -0000

ros-eloquent-connext-cmake-module (0.8.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 04 Dec 2019 08:00:00 -0000

ros-eloquent-connext-cmake-module (0.8.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-eloquent-connext-cmake-module (0.8.1-1bionic) bionic; urgency=high

  * Inline ament_zsh_to_array logic (#36 <https://github.com/ros2/rosidl_typesupport_connext/issues/36>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2019 07:00:00 -0000

ros-eloquent-connext-cmake-module (0.8.0-1bionic) bionic; urgency=high

  * Use local function to prepend unique value (#35 <https://github.com/ros2/rosidl_typesupport_connext/issues/35>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Sep 2019 07:00:00 -0000

ros-eloquent-connext-cmake-module (0.7.2-1bionic) bionic; urgency=high

  * Generalize string matching for OSX Connext library in cmake module (#28 <https://github.com/ros2/rosidl_typesupport_connext/issues/28>)
  * Contributors: Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-eloquent-connext-cmake-module (0.7.1-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-eloquent-connext-cmake-module (0.7.0-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 13 Apr 2019 07:00:00 -0000

ros-eloquent-connext-cmake-module (0.6.4-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jan 2019 08:00:00 -0000

ros-eloquent-connext-cmake-module (0.6.3-1bionic) bionic; urgency=high

  * Add case for 'x64Darwin17clang9.0' in Connext library path in find module (#21 <https://github.com/ros2/rosidl_typesupport_connext/issues/21>)
  * Contributors: Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-eloquent-connext-cmake-module (0.6.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 07 Dec 2018 08:00:00 -0000

ros-eloquent-connext-cmake-module (0.6.1-1bionic) bionic; urgency=high

  * Reduce verbosity when Connext is not available (#17 <https://github.com/ros2/rosidl_typesupport_connext/issues/17>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2018 08:00:00 -0000

ros-eloquent-connext-cmake-module (0.6.0-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-eloquent-connext-cmake-module (0.5.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-eloquent-connext-cmake-module (0.5.2-1bionic) bionic; urgency=high

  * Re-export NDDSHOME variable in environment hook. (#5 <https://github.com/ros2/rosidl_typesupport_connext/issues/5>)
    The find_package(Connext) function provided by connext_cmake_module
    relies on the NDDSHOME variable being set.
    In order for the connext_cmake_module package to be the only one which
    needs to source the RTI environment script on the buildfarm the
    environment hook must re-export it.
  * Contributors: Steven! Ragnarök

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 25 Jun 2018 07:00:00 -0000

ros-eloquent-connext-cmake-module (0.5.1-1bionic) bionic; urgency=high

  * Add build dependency on rti-connext-dds-5.3.1 (#3 <https://github.com/ros2/rosidl_typesupport_connext/issues/3>)
  * Contributors: Steven! Ragnarök

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 24 Jun 2018 07:00:00 -0000

ros-eloquent-connext-cmake-module (0.5.0-1bionic) bionic; urgency=high

  * Extra fix for paths with spaces in them
  * Only set NDDSHOME if not previously set
  * Add support for Visual Studio 2017
  * 0.4.0
  * 0.0.3
  * 0.0.2

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 23 Jun 2018 07:00:00 -0000

=== debian/control ===
Source: ros-eloquent-connext-cmake-module
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, rti-connext-dds-5.3.1, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-connext-cmake-module
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ament-cmake, ros-eloquent-ros-workspace
Description: Provide CMake module to find RTI Connext.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure: /tmp/rtienv.sh
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	. /tmp/rtienv.sh && \
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build: /tmp/rtienv.sh
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	. /tmp/rtienv.sh && \
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test: /tmp/rtienv.sh
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	. /tmp/rtienv.sh && \
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps: /tmp/rtienv.sh
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	. /tmp/rtienv.sh && \
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-connext-cmake-module//opt/ros/eloquent/lib/

override_dh_auto_install: /tmp/rtienv.sh
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	. /tmp/rtienv.sh && \
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install

/tmp/rtienv.sh:
	if [ -f /opt/rti.com/rti_connext_dds-5.3.1/resource/scripts/rtisetenv_x64Linux3gcc5.4.0.bash ]; then \
	sed -e 's:\$${BASH_SOURCE\[0\]}:/opt/rti.com/rti_connext_dds-5.3.1/resource/scripts/rtisetenv_x64Linux3gcc5.4.0.bash:' \
	/opt/rti.com/rti_connext_dds-5.3.1/resource/scripts/rtisetenv_x64Linux3gcc5.4.0.bash \
	> /tmp/rtienv.sh; \
	else touch /tmp/rtienv.sh; fi
